# Uses of Interface
javax.xml.crypto.URIDereferencer

Packages that use URIDereferencer
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dom
DOM-specific classes for the `javax.xml.crypto` package.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of URIDereferencer in javax.xml.crypto

Methods in javax.xml.crypto that return URIDereferencer
Modifier and Type
Method
Description
`URIDereferencer`
XMLCryptoContext.`getURIDereferencer()`
Returns a `URIDereferencer` that is used to dereference `URIReference`s.
Methods in javax.xml.crypto with parameters of type URIDereferencer
Modifier and Type
Method
Description
`void`
XMLCryptoContext.`setURIDereferencer​(URIDereferencer dereferencer)`
Sets a `URIDereferencer` that is used to dereference `URIReference`s.

## Uses of URIDereferencer in javax.xml.crypto.dom

Methods in javax.xml.crypto.dom that return URIDereferencer
Modifier and Type
Method
Description
`URIDereferencer`
DOMCryptoContext.`getURIDereferencer()`
Methods in javax.xml.crypto.dom with parameters of type URIDereferencer
Modifier and Type
Method
Description
`void`
DOMCryptoContext.`setURIDereferencer​(URIDereferencer dereferencer)`

## Uses of URIDereferencer in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return URIDereferencer
Modifier and Type
Method
Description
`abstract URIDereferencer`
XMLSignatureFactory.`getURIDereferencer()`
Returns a reference to the `URIDereferencer` that is used by default to dereference URIs in `Reference` objects.

## Uses of URIDereferencer in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return URIDereferencer
Modifier and Type
Method
Description
`abstract URIDereferencer`
KeyInfoFactory.`getURIDereferencer()`
Returns a reference to the `URIDereferencer` that is used by default to dereference URIs in `RetrievalMethod` objects.